:root {
	--card-height: 40vw;
	--card-margin: 4vw;
	--card-top-offset: 1rem;
	--numcards: 4;
	--outline-width: 0px;
}

.page-header{
    width: 100%;
    min-height: 128vh;
    
    background: rgb(255,247,227);
    background: -moz-linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    background: -webkit-linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    background: linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#fff7e3",endColorstr="#ffffff",GradientType=1);

    overflow: hidden;
    
}
.bg-wrapper{
    overflow: hidden;
    position: relative;
    height: 128vh;
}
.bg-wrapper img{
    width: 130%;
    position: absolute;
    left: -165px;
    top: -75px;
    transition: 0.2s !important;
}
.page-header .content-wrapper{
    padding-top: 50vh;
    text-align: right;
    color: #344107;
    background-image: url('../imgs/farmhbg.png');
    background-size: cover;
}
.page-header .content-wrapper .title{
    font-weight: 1000;
    font-size: 4.3rem;
    line-height: 1.3;
    color: #344107;
}
.page-header .content-wrapper p{
    font-size: 2.5rem;
}
.main-content{
    /* overflow: hidden; */
    color: #344107;
    background: rgb(255,247,227);
    background: -moz-linear-gradient(180deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    background: -webkit-linear-gradient(180deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    background: linear-gradient(180deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 50%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#fff7e3",endColorstr="#ffffff",GradientType=1);
}
.main-content .intro h2{
    font-size: 5rem;
}

.main-content .intro p{
    font-size: 1.5rem;
    width: 33%;
}

.main-content .intro-feature{
    font-size: 1.16rem;
    border: solid 2px #A4812E;
    border-radius: 25px;
    height: 150px;
    margin-left: 2.5rem;
    gap: 1rem;
    padding-top: 2rem;
}
.main-content .intro-feature i{
    font-size: 2.5rem;
    color: #A4812E;
}
.main-content .intro-feature p{
    font-weight: bold;
}
.main-content .products h2{
    font-size: 5rem;
}

.main-content .products .products-cards{
    list-style: none;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: repeat(var(--numcards), var(--card-height));
	gap: var(--card-margin);
    padding-bottom: calc(var(--numcards) * var(--card-top-offset));
    margin-bottom: var(--card-margin);
}
.main-content .products .products-cards .product-card{
    position: sticky;
	top: 50px;
	padding-top: calc(var(--index) * var(--card-top-offset));
    
}
.main-content .products .products-cards .product-card {
	transform-origin: 50% 0%;
	will-change: transform;
}
#product_card_1 {
	--index: 1;
}
#product_card_2 {
	--index: 2;
}
#product_card_3 {
	--index: 3;
}

#product_card_4 {
	--index: 4;
}
.main-content .products .products-cards .product-card .card-content{
    box-shadow: 0 0.2em 1em rgba(0, 0, 0, 0.1), 0 1em 2em rgba(0, 0, 0, 0.1);
	background: rgb(255,247,227);
    background: -moz-linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 100%);
    background: -webkit-linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 100%);
    background: linear-gradient(0deg, rgba(255,247,227,1) 0%, rgba(255,255,255,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#fff7e3",endColorstr="#ffffff",GradientType=1);
	color: #344107;
	border-radius: 1em;
	overflow: hidden;
	display: grid;
	grid-template-areas: "img text";
	grid-template-columns: 1fr 1fr;
	grid-template-rows: auto;
	align-items: stretch;
    height: var(--card-height);
}
.main-content .products .products-cards .product-card .card-content>div{
    grid-area: text;
	width: 80%;
	place-self: center;
	text-align: right;

	display: grid;
	gap: 1em;
	place-items: start;
}
.main-content .products .products-cards .product-card .card-content>div>h3{
	font-size: 3rem;
}
.main-content .products .products-cards .product-card .card-content>div>p{
	font-size: 1.2rem;
    text-align: justify;
}
.main-content .products .products-cards .product-card .card-content>div>a{
    text-decoration: none;
    font-size: 1.5rem;
    color: #A4812E;
}
.main-content .products .products-cards .product-card .card-content>div>a>i{
    margin: 0 10px 0;
    transition: all .3s ease-in-out;
}
.main-content .products .products-cards .product-card .card-content>div>a:hover>i{
    margin-right: 20px;
}
.main-content .products .products-cards .product-card .card-content>figure{
    grid-area: img;
    margin-bottom: 0;
	overflow: hidden;
}
.main-content .products .products-cards .product-card .card-content>figure>img{
    width: 100%;
	height: 100%;
	object-fit: cover;
}

@supports (animation-timeline: view()) {
    .main-content .products .products-cards .product-card {
        --index0: calc(var(--index) - 1); /* 0-based index */
        --reverse-index: calc(var(--numcards) - var(--index0)); /* reverse index */
        --reverse-index0: calc(var(--reverse-index) - 1); /* 0-based reverse index */
    }

    @keyframes scale {
        to {
            transform:
                scale(calc(1.1 - calc(0.1 * var(--reverse-index))));
        }
    }

    #products_cards {
        --numcards: 4;
        view-timeline-name: --cards-element-scrolls-in-body;
    }

    .main-content .products .products-cards .product-card .card-content {
        --start-range: calc(var(--index0) / var(--numcards) * 100%);
        --end-range: calc((var(--index)) / var(--numcards) * 100%);

        animation: linear scale forwards;
        animation-timeline: --cards-element-scrolls-in-body;
        animation-range: exit-crossing var(--start-range) exit-crossing var(--end-range);
    }
}
.main-content .companies h2{
    font-size: 5rem;
}
.main-content .companies .company{
    height: 250px;
    text-align: center;
}
.main-content .companies .company img{
    height: 100%;
}

.main-content .samade{
    min-height: 65vh;
    background: url('../imgs/farm/sbg.jpg') no-repeat center;
    background-size: cover;
    background-attachment: fixed;
    color: #fff;
    overflow: hidden;
}
.main-content .samade .img-container img{
    width: 40%;
}
.main-content .samade .content-container p{
    font-size: 8rem;
    font-weight: 1000;
    text-align: center;
    margin-right: -5rem;
}

@media (max-width: 1200px) {
    .page-header .content-wrapper{
        padding-top: 15vh;
        z-index: 100;
    }
    .page-header .content-wrapper .title{
        font-size: 2.7rem;
        line-height: 1.5;
    }
    .bg-wrapper {
        overflow: visible;
        height: 90vh;
    }
    .bg-wrapper img{
        width: 100%;
        left: 0;
        top: 0;
    }

    .main-content .intro p{
        width: 60%;
    }

    .main-content .intro-feature{
        margin-left: 5.5rem;
        margin-top: 2rem;
        font-size: 1rem;
        text-align: center;
    }
    .main-content .intro-feature i{
        font-size: 2rem;
    }
    .main-content .products .products-cards .product-card .card-content>div>p{
        font-size: 1.35rem;
    }
    .main-content .samade{
        min-height: 29vh;
    }

    .main-content .samade .content-container p{
        font-size: 5rem;
    }

    .main-content .companies .company img {
        height: 80%;
    }
}

@media (max-width: 991.98px){
    :root{
        --card-height: 90vw;
    }
    .main-content .intro-feature{
        margin-left: 1.5rem;
    }
    .main-content .products .products-cards .product-card .card-content{
        display: flex;
        flex-direction: column;
        flex-flow: column-reverse;
    }
    .main-content .products .products-cards .product-card .card-content>div{
        margin-top: 2rem;
        width: 90%;
        height: calc(85% - 2rem);
    }
}

@media (max-width: 767.98px){
    :root{
        --card-height: 170vw;
    }
    .page-header{
        min-height: 80vh;
    }
    .page-header .content-wrapper .title {
        font-size: 2.1rem;
    }
    .main-content .intro h2 {
        font-size: 3rem;
    }
    .main-content .intro p {
        width: 100%;
    }
    .bg-wrapper{
        height: 60vh;
    }
    .bg-wrapper img {
        width: 130%;
        left: -65px;
        top: 0;
    }
    .intro-container{
        padding: 0 10px;
    }
    .main-content .intro-feature {
        margin-left: 0;
        font-size: 1.2rem;
    }
    .main-content .intro-feature i{
        font-size: 2.5rem;
    }
    .main-content .products h2{
        font-size: 3rem;
    }
    .main-content .samade .img-container img {
        width: 60%;
    }
    .main-content .samade .content-container p {
        font-size: 3rem;
    }
    .main-content .companies .company img {
        height: 50%;
    }
    .main-content .companies h2 {
        font-size: 3rem;
    }
}